module Paths_pbkdf (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
catchIO = Exception.catch


version :: Version
version = Version {versionBranch = [1,0,0,1], versionTags = []}
bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/home/chris/.cabal/bin"
libdir     = "/home/chris/.hubrc/heap/196/pbkdf-1.0.0.1/ghc-7.6.3"
datadir    = "/home/chris/.cabal/share/pbkdf-1.0.0.1"
libexecdir = "/home/chris/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catchIO (getEnv "pbkdf_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "pbkdf_libdir") (\_ -> return libdir)
getDataDir = catchIO (getEnv "pbkdf_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "pbkdf_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
